Skip to main content
GET
List departments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: parent, children, department_chairs

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at, name

filter[key]
string

Filter results. Available filters: name, name.neq, name.cont (case-insensitive substring match), name.in (comma-separated list), name.nin (comma-separated list), label, label.neq, label.cont (case-insensitive substring match), label.in (comma-separated list), label.nin (comma-separated list), external_id, external_id.neq, external_id.cont (case-insensitive substring match), external_id.in (comma-separated list), external_id.nin (comma-separated list), head_label, head_label.neq, head_label.cont (case-insensitive substring match), head_label.in (comma-separated list), head_label.nin (comma-separated list), flat (boolean, When true, returns all departments as a flat list instead of only root departments), chair_profile_id (Filter to departments chaired by this profile UUID, including all descendant departments under their purview), department_chairs.

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

departments found

data
object[]
required
meta
object